%define		mainver		0.96
%undefine	betaver
%define		relnumber	1
%define		srcname		mecab-perl

Name:		perl-mecab
Version:	%{mainver}
Release:	%{?betaver:0.}%{relnumber}%{?betaver:.%betaver}%{?dist}.1
Summary:	Perl binding for MeCab

Group:		Applications/Text
# License is the same as MeCab
License:	BSD or LGPLv2 or GPLv2
URL:		http://mecab.sourceforge.net/
Source0:	http://downloads.sourceforge.net/mecab/%{srcname}-%{mainver}%{?betaver}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# This is not release number specific
BuildRequires:	mecab-devel = %{version}
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires(check):	mecab-jumandic

Requires:	mecab = %{version}
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
%{summary}.

%prep
%setup -q -n %{srcname}-%{mainver}%{?betaver}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="${RPM_OPT_FLAGS}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} pure_install \
	PERL_INSTALL_ROOT=$RPM_BUILD_ROOT \
	INSTALL="%{__install} -c -p"

# Clean up perl garbage
find $RPM_BUILD_ROOT -type f -name .packlist | xargs %{__rm} -f
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 | xargs %{__rm} -f
find $RPM_BUILD_ROOT -depth -type d | xargs rmdir 2>/dev/null || :
%{__chmod} -R u+w $RPM_BUILD_ROOT/*

%check
iconv -f EUC-JP -t UTF-8 test.pl > test.pl.utf8 && \
	%{__mv} -f test.pl.utf8 test.pl || \
	%{__rm} -f test.pl.utf8
%{__perl} test.pl

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc bindings.html
%doc AUTHORS COPYING BSD GPL LGPL

%{perl_vendorarch}/MeCab.pm
%{perl_vendorarch}/auto/MeCab/

%changelog
* Fri Aug 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.96-1.dist.1
- Mass rebuild (buildID or binutils issue)
- License update

* Mon Jun 11 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.96-1
- 0.96 release

* Fri May 11 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.95-5
- Add license notification text for now.

* Wed May  9 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.95-4
- Correctly require version specified BuildRequires
- Rewrite accroding to perl template

* Sun Mar 31 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.95-3
- Some clean up
- Use OPTIMIZE for Makefile.PL

* Sat Mar 31 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.95-2
- rename the package (see the discussion on #223423)
- Change test file encoding

* Thu Mar 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.95-1
- Initial packaging.
